Bug 814652 - Unable to authenticate on wireless network using WPA/WPA2 with PEAP.
Unable to authenticate on wireless network using WPA/WPA2 with PEAP.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 06:36 EDT by Davi Garcia
Modified: 2013-07-31 19:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:34:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages during the tests. (21.26 KB, text/plain)
2012-04-20 06:36 EDT, Davi Garcia
no flags Details
/var/log/wpa_supplicant during the tests. (2.38 KB, text/plain)
2012-04-20 06:37 EDT, Davi Garcia
no flags Details

  None (edit)
Description Davi Garcia 2012-04-20 06:36:00 EDT
Description of problem:


Version-Release number of selected component (if applicable):

Name        : wpa_supplicant
Arch        : x86_64
Epoch       : 1
Version     : 1.0
Release     : 0.3.fc17
Size        : 1.0 M
Repo        : installed
From repo   : anaconda-0


How reproducible:

This issue is very simple to reproduce. Just try to connect to any wireless network that uses WPA/WPA2 with 802.1x/PEAP (Protected EAP). The network used for test is called "blizzard".


Steps to Reproduce:

1. Connect to to a wireless network that uses WPA/WPA2 with 802.1x/PEAP.
2. Wait for authentication. It'll fail.
  
Actual results:

The NetworkManager keeps requesting new valid credentials, meaning that my credentials are wrong.


Expected results:

Authenticate to wireless network with WPA/WPA2 with 802.1x/PEAP.


Additional info:

This bahavior is only seen at Fedora 17. Using Fedora 16 or Ubuntu 12.04, I have no issue to use my credentials to authenticate into my wireless network.
Comment 1 Davi Garcia 2012-04-20 06:36:46 EDT
Created attachment 578957 [details]
/var/log/messages during the tests.
Comment 2 Davi Garcia 2012-04-20 06:37:22 EDT
Created attachment 578958 [details]
/var/log/wpa_supplicant during the tests.
Comment 3 Davi Garcia 2012-04-20 07:23:27 EDT
[davigarcia@darkmoon ~]$ rpm -qa wpa_supplicant
wpa_supplicant-1.0-0.3.fc17.x86_64
Comment 4 Davi Garcia 2012-04-20 07:38:54 EDT
I confirmed that using the FC16 wpa_supplicant version the issue is solved. I've applied the workaround below to solve my wireless issue:

[root@darkmoon davigarcia]# wget http://mirror.metrocast.net/fedora/linux/releases/16/Fedora/x86_64/os/Packages/wpa_supplicant-0.7.3-11.fc16.x86_64.rpm
[root@darkmoon davigarcia]# rpm --nodeps -e wpa_supplicant-1.0-0.3.fc17.x86_64
[root@darkmoon davigarcia]# rpm -ivh wpa_supplicant-0.7.3-11.fc16.x86_64.rpm

Please let me know if you need any other detail.
Comment 5 Fedora End Of Life 2013-07-03 17:59:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 19:34:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.